### org.jfree.layouting.renderer.model.table.cols

# Class AbstractColumnModel

- `java.lang.Object`
- - `org.jfree.layouting.renderer.model.table.cols.AbstractColumnModel`

Implemented Interfaces:
  Cloneable, TableColumnModel

Known Direct Subclasses:
  SpearateColumnModel

`public abstract class AbstractColumnModel`
`extends java.lang.Object`
`implements TableColumnModel`

Creation-Date: 21.07.2006, 19:21:43

Author:
  Thomas Morgner

  ## Constructor Summary

  `AbstractColumnModel()`

  ## Method Summary

  `void`

  `addAutoColumn()`

  `void`

  `addColumnGroup(TableColumnGroup column)`

  `Object`

  `clone()`

  `long`

  `getBorderSpacing()`

  `TableColumn`

  `getColumn(int i)`

  `int`

  `getColumnCount()`

  `TableColumnGroup`

  `getColumnGroup(int i)`

  `int`

  `getColumnGroupCount()`
    The column count may change over time, when new columnGroups get added.

  `TableColumn[]`

  `getColumns()`

  `TableColumnGroup`

  `getGroupForIndex(int idx)`

  `boolean`

  `isIncrementalModeSupported()`

  `boolean`

  `isValidated()`

## Constructor Details

### AbstractColumnModel

    public AbstractColumnModel()

## Method Details

### addAutoColumn

    public void addAutoColumn()

> Specified by:
>   addAutoColumn in interface TableColumnModel

### addColumnGroup

    public void addColumnGroup(TableColumnGroup column)

> Specified by:
>   addColumnGroup in interface TableColumnModel

### clone

    public Object clone()
                throws CloneNotSupportedException

> Specified by:
>   clone in interface TableColumnModel

### getBorderSpacing

    public long getBorderSpacing()

> Specified by:
>   getBorderSpacing in interface TableColumnModel

### getColumn

    public TableColumn getColumn(int i)

> Specified by:
>   getColumn in interface TableColumnModel

### getColumnCount

    public int getColumnCount()

> Specified by:
>   getColumnCount in interface TableColumnModel

### getColumnGroup

    public TableColumnGroup getColumnGroup(int i)

> Specified by:
>   getColumnGroup in interface TableColumnModel

### getColumnGroupCount

    public int getColumnGroupCount()

> The column count may change over time, when new columnGroups get added.
> Specified by:
>   getColumnGroupCount in interface TableColumnModel
> Returns:

### getColumns

    public TableColumn[] getColumns()

### getGroupForIndex

    public TableColumnGroup getGroupForIndex(int idx)

> Specified by:
>   getGroupForIndex in interface TableColumnModel

### isIncrementalModeSupported

    public boolean isIncrementalModeSupported()

> Specified by:
>   isIncrementalModeSupported in interface TableColumnModel

### isValidated

    public boolean isValidated()